body {
    padding: 5px;
    font-size: 20px;
    font-synthesis: none;
}

h1 {
    color: #6ff203; 
    line-height: 1;
}
p {
    margin: 0;
}

img {
    max-width: 480px;
    max-height: 480px;
}

#map { 
    height: 50vh; 
    min-height: 540px;
}
progress[value] {
    -webkit-appearance: none;
    appearance: none;
    height: 12px;
    width: 100%;
    border: none;
    background-color: #efefef;
    border-radius: 4px;
}

progress::-webkit-progress-value, progress::-moz-progress-bar {
    background-color: #6ff203 !important;
}

progress[value]::-webkit-progress-value::before, progress[value]::-moz-progress-bar::before {
    content: '80%';
    position: absolute;
    right: 0;
    top: 0;
}

.progress-indicators {
    margin-top: -24px;
    display: grid; 
    grid-template-columns: 1fr 2fr 1fr 4fr 2fr;
    width: 100%;
    text-align: center;
    hyphens: auto;
    font-family: monospace;
    font-size: 14px;
}

.progress-indicators > details:first-child {
    text-align: left;
    justify-self: start;
}

.progress-indicators > details:nth-child(2) {
    justify-self: center;
}

.progress-indicators > details:last-child {
    text-align: right;
    justify-self: end;
}

@media only screen and (max-width: 640px) {
    .prog {
        overflow-x: scroll;
        padding-top: 32px;
    }
    progress[value], .bike-progress, .progress-indicators {
        width: 200vw;
    }
}

.indicator {
    --left: 0;
    position: relative;
    top: -34px;
    left: var(--left);
    width: fit-content;
    z-index: 1;
    transition: 1s;
    font-family: monospace;
    font-size: 14px;
}
.space-m {
    padding-top: 24px;
}
.time {
    display: flex;
    gap: 16px;
    font-family: monospace;
    font-size: 12px;
}
.step {
    display: block;
    width: 10vw;
    height: 2px;
    background-color: #6ff203;
    margin: 16px 0 8px 0;
}

@keyframes fade { 
    from { 
        opacity: 0.3; 
        filter: hue-rotate(60deg);
    } to {
        opacity: 1; 
    } 
}

.blinking {
    animation: fade 2s infinite alternate;
}

.flip{
	transform: scaleX(-1); 
	width:fit-content;
}